Work at SourceForge, help us to make it a better place! We have an immediate need for a Support Technician in our San Francisco or Denver office.

Close

#82 os_version in active_connection is wrong for non-WM5 devices

closed
None
5
2006-09-20
2006-07-24
No

Hi,

On Gentoo Bugzilla, there is a bug report that I would
like your opinion on regarding synce-0.9.2. Since I do
not know much about librapi2, it would be very helpful
to have your diagnosis on this bug.

http://bugs.gentoo.org/show_bug.cgi?id=141491

Thanks,

Alastair

Discussion

  • BadSquishy
    BadSquishy
    2006-07-24

    Logged In: YES
    user_id=1257991

    I have been trying since yesterday to get this system to
    work on my gentoo box, and I have run into the same problem.
    I am trying to get the system to work with a Viewsonic
    Pocket PC running Microsoft Pocket PC Version 4.20.1081 (aka
    Windows Mobile 2003). Here is some of my output, very
    similar to the output shown in the gentoo bug:

    pico@meerkat ~ $ pstatus -d 4
    [rapi_context_connect:161] failed to connect to proxy for
    192.168.131.201
    pstatus: Unable to initialize RAPI: An unspecified failure
    has occurred

    meerkat ~ # tail /var/log/messages
    Jul 23 21:15:23 meerkat synce-serial-start: Executing
    '/usr/sbin/pppd call synce-device'
    Jul 23 21:15:23 meerkat pppd[10030]: pppd 2.4.2 started by
    root, uid 0
    Jul 23 21:15:24 meerkat pppd[10030]: Serial connection
    established.
    Jul 23 21:15:24 meerkat pppd[10030]: Using interface ppp0
    Jul 23 21:15:24 meerkat pppd[10030]: Connect: ppp0 <-->
    /dev/ttyUSB0
    Jul 23 21:15:25 meerkat pppd[10030]: local IP address
    192.168.131.102
    Jul 23 21:15:25 meerkat pppd[10030]: remote IP address
    192.168.131.201
    Jul 23 21:15:26 meerkat dccm[9628]: Connection from
    192.168.131.201 accepted
    Jul 23 21:15:26 meerkat dccm[9628]: Talking to 'Pocket_PC',
    a PocketPC device of type ViewSonic, PPC V3

    pico@meerkat ~ $ cat .synce/active_connection
    # Modifications to this file will be lost next time a client
    connects to dccm

    [dccm]
    pid=9478

    [device]
    ip=192.168.131.201
    port=1055
    os_version=5124
    build_number=1081
    processor_type=2577
    partner_id_1=0
    partner_id_2=0
    name=Pocket_PC
    class=PocketPC
    hardware=ViewSonic, PPC V3

    You can see from this output the problem, the os_version is
    being recorded in the active connection file as 5124 (the
    person who created the gentoo bug is showing 5380). If the
    workaround shown in the gentoo bug is correct, the program
    is looking for an integer less than 5 in order to work
    properly with this Pocket PC version. So, the problem
    appears to be in the creation of the active_connection file.

    Regards,

    BadSquishy

     
  • David Eriksson
    David Eriksson
    2006-07-24

    • assigned_to: nobody --> twogood
     
  • David Eriksson
    David Eriksson
    2006-07-24

    Logged In: YES
    user_id=337437

    Indeed something seems wrong with the os_version field or
    its usage! I'll take a look at it.

     
  • David Eriksson
    David Eriksson
    2006-07-25

    Logged In: YES
    user_id=337437

    Is there any difference depending on if dccm or vdccm is used?

    For dccm or corresponding for vdccm:

    Kill dccm, and restart it like this: dccm -f -d 4. Now
    connect your PDA, run synce-serial-start, and provide the
    output from dccm.

     
  • Logged In: NO

    As I mentioned before, I am using gentoo. The most current
    version of dccm available in the unstable portage tree is
    dccm-0.9.1, not vdccm-0.9.2. Please examine the following
    output:

    pico@meerkat ~ $ dccm -f -d 4
    dccm[11135]: Running in foreground
    dccm[11135]: Listening for connections on port 5679
    dccm[11135]: Connection from 192.168.131.201 accepted
    info package (158 bytes):
    0000: 28 00 00 00 04 14 39 04 (.....9.
    0008: 11 0a 00 00 04 00 00 00 ........
    0010: 00 50 a4 2a 00 00 00 00 .P.*....
    0018: 28 00 00 00 3c 00 00 00 (...<...
    0020: 5a 00 00 00 7e 00 00 00 Z...~...
    0028: 50 00 6f 00 63 00 6b 00 P.o.c.k.
    0030: 65 00 74 00 5f 00 50 00 e.t._.P.
    0038: 43 00 00 00 50 00 6f 00 C...P.o.
    0040: 63 00 6b 00 65 00 74 00 c.k.e.t.
    0048: 50 00 43 00 00 00 53 00 P.C...S.
    0050: 53 00 44 00 4b 00 00 00 S.D.K...
    0058: 00 00 56 00 69 00 65 00 ..V.i.e.
    0060: 77 00 53 00 6f 00 6e 00 w.S.o.n.
    0068: 69 00 63 00 2c 00 20 00 i.c.,...
    0070: 50 00 50 00 43 00 20 00 P.P.C...
    0078: 56 00 33 00 00 00 03 00 V.3.....
    0080: 00 00 00 00 00 00 04 00 ........
    0088: 00 00 02 00 00 00 00 00 ........
    0090: 00 00 00 00 00 00 00 00 ........
    0098: 00 00 00 00 00 00 ......
    00a0:
    dccm[11135]: Talking to 'Pocket_PC', a PocketPC device of
    type ViewSonic, PPC V3

    If it would benefit you to have me install vdccm "the
    old-fashioned way" (i.e. from source) I can do so, or I
    could file a bug in gentoo bugzilla requesting vdccm be
    included in the portage tree. Even if it is included as a
    masked (read broken) package it would make it easier for me
    to install.

    Regards,

    BadSquishy

     
  • BadSquishy
    BadSquishy
    2006-07-27

    Logged In: YES
    user_id=1257991

    In addition to my comment below I wanted to mention that I
    was able to temporarily fix the problem by downgrading
    librapi2 from 0.9.2 to 0.9.1, the older version does not
    have a test for os_version number. I do not think this
    affects the function of dccm, but I wanted to let you know
    anyways.

    Regards,

    BadSquishy

     
  • David Eriksson
    David Eriksson
    2006-09-19

    • summary: synce-0.9.2 problems with proxy --> os_version in active_connection is wrong for non-WM5 devices
     
    • status: open --> closed
     
  • Logged In: YES
    user_id=338973

    This bug is closed because it is fixed?